> ## Documentation Index
> Fetch the complete documentation index at: https://docs.msgflash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update a contact

> Update an existing contact.

## Endpoint

```txt theme={null}
PUT /api/v1/contacts/{id}
```

## Parameters path

| Nom  | Type | Required | Description   |
| ---- | ---- | -------- | ------------- |
| `id` | UUID | yes      | ID du contact |

## Body

| Field   | Type      | Required | Description              |
| ------- | --------- | -------- | ------------------------ |
| `name`  | string    | no       | Nouveau nom              |
| `phone` | string    | no       | Nouveau téléphone        |
| `tags`  | string\[] | no       | Remplace les tags        |
| `meta`  | object    | no       | Remplace les métadonnées |

## Success response `200`

```json theme={null}
{
  "data": {
    "id": "cnt_uuid",
    "name": "Awa Doe"
  }
}
```
